package com.ruoyi.ibs.list.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 走访任务统计-点评对象 visit_campaign_comment
 * 
 * @author ruoyi
 * @date 2025-04-11
 */
public class VisitCampaignComment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 任务id */
    @Excel(name = "任务id")
    private String campaignId;

    /** 机构号 */
    @Excel(name = "机构号")
    private Long deptId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户名 */
    @Excel(name = "用户名")
    private String nickName;

    /** 点评 */
    @Excel(name = "点评")
    private String comment;

    /** 网点ID */
    @Excel(name = "网点ID")
    private Long outletsId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCampaignId(String campaignId) 
    {
        this.campaignId = campaignId;
    }

    public String getCampaignId() 
    {
        return campaignId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setNickName(String nickName) 
    {
        this.nickName = nickName;
    }

    public String getNickName() 
    {
        return nickName;
    }
    public void setComment(String comment) 
    {
        this.comment = comment;
    }

    public String getComment() 
    {
        return comment;
    }
    public void setOutletsId(Long outletsId) 
    {
        this.outletsId = outletsId;
    }

    public Long getOutletsId() 
    {
        return outletsId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("campaignId", getCampaignId())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("nickName", getNickName())
            .append("comment", getComment())
            .append("outletsId", getOutletsId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
